﻿using System;
using System.Data;
using System.Windows.Forms;
using Npgsql;

namespace PostgreSQL_CSharp
{
    public partial class Form1 : Form
    {

        static string serverName = "127.0.0.1";
        static string port = "5432";
        static string userName = "postgres";
        static string password = "sua_senha";
        static string databaseName = "Northwind_pgsql";

        public Form1()
        {
            InitializeComponent();
        }

        private void btnExecutar_Click(object sender, EventArgs e)
        {
            string ConexaoPG = string.Format("Server={0};Port={1};User Id={2};Password={3};Database={4};", serverName, port, userName, password, databaseName);
            NpgsqlConnection conn = null;
            try
            {
                //Instancia NpgsqlConnection na variavel conn
                conn = new NpgsqlConnection(ConexaoPG);
                //Abre a conexão
                conn.Open();
                //Declara e atribui a instrucao SQL de consulta
                string SQL = "SELECT * FROM public." + cboTabelas.Text;
                //Instancia o NpgsqlDataAdapter responsavel pela comunicação
                //é feita a leitura dos dados preenchendo o dataset
                Npgsql.NpgsqlDataAdapter da = new NpgsqlDataAdapter(SQL, conn);
                //Instancia um DataSet
                DataSet ds = new DataSet();
                //Preenche o DataAdapter
                da.Fill(ds, cboTabelas.Text);
                //Atribui um Datasource a Grid
                dgvDados.DataSource = ds.Tables[0].DefaultView;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                if ((conn != null))
                {
                    if (conn.State == ConnectionState.Open)
                    {
                        conn.Close();
                    }
                }
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            cboTabelas.SelectedIndex = 0;
        }
    }
}
